Package Gnumed :: Package business :: Module gmPraxis |
[frames] | no frames]

# Module gmPraxis

source code

GNUmed Praxis related middleware.

Author: K.Hilbert <Karsten.Hilbert@gmx.net>

License: GPL

Classes
| cPraxisBranch Represents a praxis branch
| gmCurrentPraxisBranch

Functions
delete_workplace(workplace=None, delete_config=False, conn=None) | source code
lock_praxis_branch(pk_praxis_branch=None, exclusive=False) | source code
unlock_praxis_branch(pk_praxis_branch=None, exclusive=False) | source code
get_praxis_branches(order_by=None) | source code
get_praxis_branch_by_org_unit(pk_org_unit=None) | source code
create_praxis_branch(pk_org_unit=None) | source code
create_praxis_branches(pk_org_units=None) | source code
delete_praxis_branch(pk_praxis_branch=None) | source code
delete_praxis_branches(pk_praxis_branches=None, except_pk_praxis_branches=None) | source code

Variables
| __package__ = ``'``Gnumed.business``'``

Imports: sys, logging, gmPG2, gmTools, gmBorg, gmCfg2, gmBusinessDBObject, gmOrganization, gmDemographicRecord